import { ErrorDetailMap, ErrorMap } from '@genesislcap/foundation-utils';
/**
 * ErrorWorkflowInput type.
 * @public
 */
export type ErrorWorkflowInput = {
    errorKey: string;
    errorValue: any;
    errorMap: ErrorMap<ErrorDetailMap>;
};
/**
 * Error workflow input.
 * @param key - An error key.
 * @public
 */
export declare const errorWorkflowInput: (key: string) => ({ context }: {
    context: any;
}) => ErrorWorkflowInput;
//# sourceMappingURL=inputs.d.ts.map